//
//  ATIKOSXLegacyDrivers.h
//  ATIKOSXLegacyDrivers
//
//  Created by Nick Kitchener on 07/12/2012.
//  Copyright (c) 2012 ATIK. All rights reserved.
//

#include <ATIKOSXDrivers/ATIKOSXDrivers.h>


@interface ATIKOSXLegacyDrivers : NSObject
-(id)init;
-(void)startSupport;
-(void)endSupport;
-(void)registerFTDIChipId:(int)chipId forUSBSerialNumber:(NSString*)sn;

-(id<Services>)serviceManagement;
@end


@interface ATIKOSXLegacyDrivers (Services) <Services>
-(NSDictionary*)availableServices;
-(id<ServiceInterface>)claimService:(NSString*)serviceIdentifier;
-(void)releaseService:(id<ServiceInterface>)serviceInstance;
-(void)setNotificationDelegate:(id<ATIKOSXDriverNotificationDelegate>)delegate;
@end

